!  SUBROUTINES:
!	ZapisMolDraw	- Zape konfiguraci klstru (jeho teplotu i entalpii) do souboru ar_mc.xyz pro MolDraw
!

!**************************************************************************************************************************************************************************
!
!  MODULE:  MolDraw
!
!  PURPOSE: Prohldnut si simulace a jejho vsledku v programu MolDraw
!
!**************************************************************************************************************************************************************************

module MolDraw
use Inicializace
implicit none

contains

!**************************************************************************************************************************************************************************

	subroutine ZapisMolDraw(x,y,z, entalpie, teplota, objem)
		
		double precision, dimension (:), intent(in) :: x, y, z
		double precision, intent(in) :: entalpie, teplota, objem		
		
		write(30,fmt='(2I)') n			! Poet atom			
		write(30,fmt='(F12.4,2X, F12.4,15X ''d:'',1X,F10.4,15X ''V:'',1X,F10.4)') teplota, entalpie, 2*VypoctiPolomerKoule(objem),objem	! Teplota, entalpie, prmr a objem
		do i2 = 1,n,1			
			write (30,*) 'Ar', x(i2),y(i2),z(i2) ! Jmno atomu a jeho souadnice
		end do

	end subroutine ZapisMolDraw

!**************************************************************************************************************************************************************************

end module MolDraw