!  SUBROUTINES:
!	TermodynamickeVypocty	- Vpoet tepeln kapacity, aritmetickho prmru objemu a entalpie
!

!*****************************************************************************************************
!
!  MODULE:  Termodynamika
!
!  PURPOSE: Potn termodynamiky: tepeln kapacity a entalpie
!
!*****************************************************************************************************

module Termodynamika

use Inicializace
implicit none

integer mereni
double precision soucetObjemu, soucetEntalpii, soucetKvadrEntalpii, Entalpie
double precision tepelnaKapacita, prumerObjemu

contains

!*****************************************************************************************************

	subroutine TermodynamickeVypocty(E)		
		double precision, intent (in) :: E ! U + pV		

		! Suma entalpie, kvadratick entalpie a objemu
		soucetEntalpii = soucetEntalpii + E
		soucetObjemu = soucetObjemu + V
		soucetKvadrEntalpii = soucetKvadrEntalpii + E**2
		
		mereni = mereni + 1		

		if (krok == maxKroku) then
			
			! Vpoet stedn entalpie, tepeln kapacity a aritmetickho prmru objemu
			Entalpie = soucetEntalpii / mereni
			tepelnaKapacita = ( (soucetKvadrEntalpii / mereni) - Entalpie**2) / (k * T**2)
			prumerObjemu = soucetObjemu / mereni

			! Ppadn pevod na eV			
			Entalpie = Entalpie/eV
			tepelnaKapacita = tepelnaKapacita/eV

			! Zapsn vypotanch hodnot na konzoli a do souboru

			print*, 'T', T
			print*, 'H', Entalpie
			print*, 'c', tepelnaKapacita
			print*, 'V', prumerObjemu
			print*, "------------------------"
		
			write (40, fmt='(F15.5, 5X, F15.5, 5X, F15.5, 5X, F15.5 )' ) T, Entalpie, tepelnaKapacita, prumerObjemu

			! Nulovn hodnot
			soucetEntalpii = 0
			soucetObjemu = 0
			soucetKvadrEntalpii = 0
			mereni = 0

		end if			

	end subroutine TermodynamickeVypocty


!*****************************************************************************************************

end module Termodynamika