!  SUBROUTINES:
!	NactiKonstanty     - Nate konstanty ze souboru KonstantyNVE.ini
!	NactiSouradnice	   - Nate souadnice atom ze sbouru xyz.ini

!*************************************************************************************************************
!
!  MODULE: Inicializace
!
!  PURPOSE: Naten a nastaven promnnch
!
!*************************************************************************************************************

module Inicializace
implicit none

	integer i, j, i2, krok	! Promnn cyklu
	double precision teplotaMD, energieMD !hodnoty pro MolDraw
	double precision random
	! NVE
	double precision f, T, konstVolnosti ! stupn volnosti | teplota | (f/2)
	double precision dE	! (E0 + En)/poet teplot - (Zven energie)
	integer pricteniE  ! Po kolika krocch sumace energie

	! Konstanty ze souboru KonstantyNVE.ini

	integer n, maxKroku, jednotky ! Poet atom | Poet opakovn MC cyklu | Simulace (jednotky/bezrozmrn)
	double precision  rozsahT, Ekoncova, E ! Poet teplot | Spodn hranice teploty | Energie
	double precision sigma, epsilon, k ! sigma | epsilon | Boltzmanova konstanta	
	double precision posun, polomer, eV	! posun atom | polomr koule s klstrem | pevod na eV
	integer upravaPosunu ! po kolika krocich upravit posun
			
	! Souadnice atom
	double precision, dimension (:), allocatable :: Rx, Ry, Rz

contains

!*************************************************************************************************************
	
	! Nate konstanty ze souboru KonstantyNVE.ini do promnnch
	subroutine NactiKonstanty()
		
		open (10, action="read", file="KonstantyNVE.ini")

			read (10, *) n
			read (10, *) maxKroku			
			read (10, *) rozsahT
			read (10, *) pricteniE
			read (10, *) upravaPosunu
			read (10, *) jednotky			
			read (10, *) ! Simulace bezrozmrn
			read (10, *) k
			read (10, *) sigma 
			read (10, *) epsilon			
			read (10, *) polomer
			read (10, *) posun
			read (10, *) E
			read (10, *) Ekoncova
			read (10, *) eV	
			if (jednotky == 1) then
				read (10, *) ! Simulace s jednotkami
				read (10, *) k
				read (10, *) sigma 
				read (10, *) epsilon			
				read (10, *) polomer
				read (10, *) posun
				read (10, *) E
				read (10, *) Ekoncova
				read (10, *) eV				
			end if
				
		close (10)

		E = E * eV
		Ekoncova = Ekoncova * eV

		dE = (Ekoncova- E) /rozsahT
		
				
	end subroutine NactiKonstanty
	
!*************************************************************************************************************

	! Naten souadnic atom ze souboru xyz.ini do pol
	subroutine NactiSouradnice()

		allocate (Rx(1:n))
		allocate (Ry(1:n))
		allocate (Rz(1:n))
		
		open(20,action="read", file="xyz.ini")

			read(20,*)
			
			do i = 1,n
				read(20,*) Rx(i), Ry(i), Rz(i)
			end do
					
		close(20)
		
		f = 3 * n - 3
		konstVolnosti = f/2

	end subroutine NactiSouradnice

!*************************************************************************************************************

end module Inicializace