!  SUBROUTINES:
!	TermodynamickeVypocty	- Vpoet stedn energie a teploty
!

!*****************************************************************************************************
!
!  MODULE:  Termodynamika
!
!  PURPOSE: Potn termodynamiky: tepeln kapacity a stedn energie
!
!*****************************************************************************************************

module Termodynamika

use Inicializace
implicit none

integer mereni
double precision soucetEnergii, soucetTeplot, stredniEnergie

contains

!*****************************************************************************************************

	subroutine TermodynamickeVypocty(krok, energie)
		integer, intent(in) :: krok
		double precision, intent (in) :: energie		

		! Suma energie
		soucetEnergii = soucetEnergii + energie		
		
		mereni = mereni + 1

		! Vpoet teploty
		T = ( E - (soucetEnergii / mereni) ) / ( konstVolnosti * k)	

		if (krok == maxKroku) then
			
			! Vpoet stedn energie
			stredniEnergie = soucetEnergii / mereni

			! Zapsn vypotanch hodnot do souboru

			write (40, fmt='(E15.5, 5X, E15.5, 5X, E15.5 )' ) E/eV, stredniEnergie/eV, T 

			! Nulovn hodnot
			soucetEnergii = 0						
			mereni = 0
			E = E + dE
		end if			

	end subroutine TermodynamickeVypocty


!*****************************************************************************************************

end module Termodynamika