!*****************************************************************************************************************
!
!  NVE simulace atom klstru metodou Monte Carlo
!
!  Autor: David Pgmek
!

!*****************************************************************************************************************
!
!  PROGRAM: MC_atomy_NVE
!
!  PURPOSE: Vstupn bod programu - opakovn cyklu Monte Carlo, prava posunu, potn termodynamiky
!
!*****************************************************************************************************************

program MC_atomy_NVE

use MonteCarlo
use MolDraw
use Termodynamika

implicit none
	
	call random_seed()
	
	! Soubor s hodnotami pro MolDraw
	open (30,file="ar_mc.xyz",action="write") 	
	
	! Soubor pro Termodynamiku
	open (40,file="Termodynamika.txt",action="write")
	write (40,fmt= '( 10X, ''E'',10X, ''<E>'', 20X, ''T'')' )


	call NactiKonstanty()	  

	call NactiSouradnice()
	
	call NaplnEnergie()		
	
	do i=1, rozsahT
		do krok=1,maxKroku
					
			call MonteCarloCyklus()	
			
			if ( (upravaPosunu /=0) .AND. (mod(krok,upravaPosunu) == 0) ) then
				call UpravPosun()	
			end if					
			
			if ( mod (krok, pricteniE) == 0 ) then
				call TermodynamickeVypocty ( krok, Ustara)
			end if
					
		end do		

	end do

	close (40)

	close (30)

	deallocate (Rx)
	deallocate (Ry)
	deallocate (Rz)
	deallocate (energie)
	deallocate (energieZkus)	

	!read(*,*)
	
 end program MC_atomy_NVE

