!  SUBROUTINES:
!	NactiKonstanty     - Nate konstanty ze souboru KonstantyNVT.ini
!	NactiSouradnice	   - Nate souadnice atom ze sbouru xyz.ini

!*************************************************************************************************************
!
!  MODULE: Inicializace
!
!  PURPOSE: Naten a nastaven promnnch
!
!*************************************************************************************************************

module Inicializace
implicit none

	integer i, j, i2, krok, iT	! Promnn cyklu
	double precision teplotaMD, energieMD !hodnoty pro MolDraw
	double precision random

	! Konstanty ze souboru KonstantyNVT.ini

	! Vbr
	integer pocitat  ! Potat: 0 - Struktury | 1 - Termodynamiku
	integer jednotky ! Simulace:  0 - bezrozmrn | 1 - v jednotkch

	! Termodynamika
	integer rozsahT ! Rozsah teplot
	integer vypoctiTermodyn ! Po kolika krocch provdt termodynamick vpoty

	integer n, maxKroku ! Poet atom | Poet opakovn MC cyklu
	double precision  T, dT, Tkoncova ! Teplota | Koeficient snen teploty | Spodn hranice teploty
	double precision sigma, epsilon, k ! sigma | epsilon | Boltzmanova konstanta	
	double precision posun, polomer, eV	! posun atom | polomr koule s klstrem | pevod na eV
	integer upravaPosunu, upravaTeploty, vypisMD ! po kolika krocich upravit posun | teplotu | MolDraw
			
	! Souadnice atom
	double precision, dimension (:), allocatable :: Rx, Ry, Rz

contains

!*************************************************************************************************************
	
	! Nate konstanty ze souboru KonstantyNVT.ini do promnnch
	subroutine NactiKonstanty()
		
		open (10, action="read", file="KonstantyNVT.ini")

			read (10, *) pocitat
			read (10, *) jednotky
			read (10, *) ! -----------------------------------------------
			read (10, *) n
			read (10, *) maxKroku
			read (10, *) upravaPosunu
			read (10, *) ! ----------------- STRUKTURY -------------------			
			read (10, *) dT
			read (10, *) upravaTeploty			
			read (10, *) vypisMD
			read (10, *) ! --------------- TERMODYNAMIKA -----------------
			read (10, *) rozsahT
			read (10, *) vypoctiTermodyn
			read (10, *) ! Simulace bezrozmrn
			read (10, *) k
			read (10, *) sigma 
			read (10, *) epsilon			
			read (10, *) polomer
			read (10, *) posun
			read (10, *) T
			read (10, *) Tkoncova
			read (10, *) eV	
			if (jednotky == 1) then
				read (10, *) ! Simulace s jednotkami
				read (10, *) k
				read (10, *) sigma 
				read (10, *) epsilon			
				read (10, *) polomer
				read (10, *) posun
				read (10, *) T
				read (10, *) Tkoncova
				read (10, *) eV				
			end if
			
				
				
		close (10)
				
	end subroutine NactiKonstanty
	
!*************************************************************************************************************

	! Naten souadnic atom ze souboru xyz.ini do pol
	subroutine NactiSouradnice()

		allocate (Rx(1:n))
		allocate (Ry(1:n))
		allocate (Rz(1:n))
		
		open(20,action="read", file="xyz.ini")

			read(20,*)
			
			do i = 1,n
				read(20,*) Rx(i), Ry(i), Rz(i)
			end do
					
		close(20)	

	end subroutine NactiSouradnice

!*************************************************************************************************************

end module Inicializace