!  SUBROUTINES:
!	TermodynamickeVypocty	- Vpoet stedn energie a tepeln kapacity
!

!*****************************************************************************************************
!
!  MODULE:  Termodynamika
!
!  PURPOSE: Potn termodynamiky: tepeln kapacity a stedn energie
!
!*****************************************************************************************************

module Termodynamika

use Inicializace
implicit none

integer mereni
double precision soucetEnergii, stredniEnergie, soucetKvadrEnergii,	tepelnaKapacita
contains

!*****************************************************************************************************

	subroutine TermodynamickeVypocty(energie)
		
		double precision, intent (in) :: energie		

		! Suma energie
		soucetEnergii = soucetEnergii + energie		
		soucetKvadrEnergii = soucetKvadrEnergii + energie**2

		mereni = mereni + 1		
		
		if (krok == maxKroku) then
			
			! Vpoet stedn energie a tepeln kapacity
			stredniEnergie = soucetEnergii / mereni
			tepelnaKapacita = ( (soucetKvadrEnergii / mereni) - stredniEnergie**2) / (k * T**2)			

			! Ppadn pevod na eV
			
			stredniEnergie = stredniEnergie/eV
			tepelnaKapacita = tepelnaKapacita/eV

			! Zapsn vypotanch hodnot do souboru a na konzoli

			print*, 'T', T
			print*, '<E>', stredniEnergie
			print*, 'c', tepelnaKapacita			
			print*, "------------------------"

			write (40, fmt='(F15.5, F15.5, 5X, F15.5)' ) T, stredniEnergie, tepelnaKapacita

			! Nulovn hodnot
			soucetEnergii = 0
			soucetKvadrEnergii = 0			
			mereni = 0

		end if			

	end subroutine TermodynamickeVypocty


!*****************************************************************************************************

end module Termodynamika